[Cocci] make install broken

SF Markus Elfring elfring at users.sourceforge.net
Sat Oct 14 15:45:09 CEST 2017


>> Which information are you missing from my software surprises?
> You just showed the error that looks similar to mine.

I have tried another rebuild of the current software out.


> You miss the part about how you configured and installed it.

Would you like to take another look at affected implementation details?


> And what exact commit you've used.

elfring at Sonne:~/Projekte/Coccinelle/20160205> make distclean && git checkout master && git pull && ./autogen && ./configure && echo "$(./version.sh)" && grep VERSION=1 Makefile.config
…
1.0.6-00335-g6e5973d4
VERSION=1.0.6-00335-g6e5973d4
elfring at Sonne:~/Projekte/Coccinelle/20160205> make world
…


Sonne:~ # cd /home/elfring/Projekte/Coccinelle/20160205 && make install
…
/usr/bin/install -c -m 755 spatch.opt /usr/local/bin/spatch
/usr/bin/install -c -m 644 standard.h /usr/local/lib64/coccinelle
/usr/bin/install -c -m 644 standard.iso /usr/local/lib64/coccinelle
…
/usr/bin/install -c -m 644 python/coccilib/*.py \
        /usr/local/lib64/coccinelle/python/coccilib
…


elfring at Sonne:~> /usr/local/bin/spatch --version
spatch version 1.0.6-00335-g6e5973d4 compiled with OCaml version 4.05.0
…


elfring at Sonne:~/Projekte/Linux/next-patched> /usr/local/bin/spatch ~/Projekte/Coccinelle/janitor/use_seq_putc_or_seq_puts-20161027-a.cocci drivers/staging/irda/net/irlmp.c
warning: Can't find macro file: /usr/local/bin/../lib/coccinelle/standard.h
warning: Can't find default iso file: /usr/local/bin/../lib/coccinelle/standard.iso
Python error: No module named coccilib.elems


* How should the directory “lib64” be determined for this use case?

* Do I need to add any symbolic links temporarily?

* Will it help to add an installation test to the software build system?


Regards,
Markus


More information about the Cocci mailing list